> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mezmo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update analysis options

> Reset classification and profiling results



## OpenAPI

````yaml /pipeline.yaml patch /pipeline/classifier/analysis/{analysis_id}
openapi: 3.1.0
info:
  title: Pipeline API
  description: API for the Pipeline product
  version: 3.345.5
servers:
  - url: https://api.mezmo.com/v3
security:
  - PipelineServiceKey: []
tags:
  - name: Internal
    description: Routes not accessible by outside users
  - name: Experimental
    description: Experimental routes, not intended for public consumption
  - name: Account
    description: Perform account level actions
  - name: Alerting
    description: API to control alerts on pipelines
  - name: Data Classification & Profiling
    description: API for classifying and profiling data
  - name: Edge - Local Deploy
    description: User routes that are available to use with local Edge instances
  - name: Incident Mode
    description: Change or read state of pipeline (incident mode on/off)
  - name: Log Volume Reduction
    description: CRUD operations for log volume reduction
  - name: Metrics
    description: Usage metrics for pipelines
  - name: Pipeline Export
    description: Export pipeline to terraform
  - name: Pipeline Management
    description: CRUD Operations for pipeline
  - name: Pipeline Nodes
    description: CRUD operations for sources, processors, and destinations
  - name: Processor Groups
    description: CRUD operations for Processor Groups
  - name: Shared Sources
    description: Create and manage sources for use across multiple pipelines
  - name: Sampling and Simulation
    description: >-
      Create samples of data and run them through a simulated pipeline without
      affecting your published pipeline
externalDocs:
  url: https://docs.mezmo.com/pipeline-api
paths:
  /pipeline/classifier/analysis/{analysis_id}:
    patch:
      tags:
        - Data Classification & Profiling
      summary: Update analysis options
      description: Reset classification and profiling results
      parameters:
        - schema:
            type: boolean
            default: false
          in: query
          name: restart_analysis
          required: false
          description: >-
            Reset the current event count so that classification can begin when
            'status' is set to "in_progress".
        - schema:
            type: boolean
            default: false
          in: query
          name: reset_profile
          required: false
          description: Reset the profiling data associated with this analysis.
        - schema:
            type: boolean
            default: false
          in: query
          name: create_new_classifier_analysis
          required: false
          description: >-
            Create a new classifier analysis record to replace the current
            record. Must be used in conjunction with a "complete" status
        - schema:
            type: string
            format: uuid
          in: path
          name: analysis_id
          required: true
          description: The id of the classifier analysis to update
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                status:
                  type: string
                  enum:
                    - in_progress
                    - complete
                  description: The new status of the classifier analysis
              required:
                - status
        required: true
      responses:
        '200':
          description: Default Response
components:
  securitySchemes:
    PipelineServiceKey:
      type: apiKey
      name: Authorization
      in: header
      description: 'Enter your token in the format: Token mytokengoeshere'

````